main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('contact/', views.contact, name='contact'),
    path('addmatkul/', views.addmatkul, name='addmatkul'),
    path('daftarmatkul/', views.daftarmatkul, name='daftarmatkul'),
    path('matkulcontent/<int:id>/', views.matkulcontent, name='matkulcontent'),
    path('daftarmatkul/delete/<int:id>/', views.deletematkul, name='deletematkul'),
    path('stories/', views.stories, name='stories'),
    path('storyfive/', views.storyfive, name='storyfive'),
]

ppwstory/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('storyone/', include('storyone.urls')),
    path('storysix/', include('story6.urls')),
    path('storyseven/', include('story7.urls')),
    path('storyeight/', include('story8.urls')),
    path('', include('story9.urls')),
]

story9/urls.py
from django.urls import path

from . import views


app_name = 'story9'

urlpatterns = [
    path('register/', views.register, name='register'),
    path('login/', views.log_in, name='login'),
    path('logout/', views.log_out, name='logout'),
]

story9/models.py
from django.db import models

# Create your models here.

story9/forms.py
from django import forms
from django.contrib.auth.models import User
from django.contrib.auth.forms import UserCreationForm

class UserRegistrationForm(UserCreationForm):
    email = forms.EmailField()

    class Meta:
        model = User
        fields = ['username', 
                  'email', 
                  'password1', 
                  'password2'
        ]
        labels = {
            'username':"username", 
            'email':"username", 
            'password1':"password", 
            'password2':"confirm password"
        }


class LoginForm(forms.Form):
    username = forms.CharField(widget=forms.TextInput(attrs={
        'class': 'form-control',
        'type' : 'text',
        'placeholder': "Enter username",
        'required': True,
    }))
    password = forms.CharField(widget=forms.PasswordInput(attrs={
        'class': 'form-control',
        'type' : 'password',
        'placeholder': "Enter your password",
        'required': True,
    }))
    class Meta:
        labels = {
            'username' : "username",
            'password' : "password"
        }

story9/views.py
from django.shortcuts import render, redirect
from django.contrib import messages
from .forms import UserRegistrationForm, LoginForm
from django.contrib.auth import authenticate, login, logout



# Create your views here.
def register(request):
    if request.method == 'POST':
        regform = UserRegistrationForm(request.POST)
        if regform.is_valid():
            regform.save()
            username = regform.cleaned_data.get('username')
            messages.success(request, f'Account created for {username}!')
            return redirect('story9:login')
    else:
        regform = UserRegistrationForm()
    content = {'form': regform}
    return render(request, 'register.html', content)


def log_in(request):
    form = LoginForm()
    if request.method == "POST":
        form = LoginForm(request.POST)
        if form.is_valid():
            usrname = form.cleaned_data['username']
            passwrd = form.cleaned_data['password']
            user = authenticate(request, username=usrname, password = passwrd)
            if user is not None:
                login(request, user)
                messages.success(request, f'Welcome, {usrname}!')
                return redirect('main:stories')
            else:
                messages.error(request,'username or password not correct')
                return redirect('login')
    else:
        response = {'form':form}
        return render(request,'login.html',response)

def log_out(request):
    logout(request)
    return render(request, 'logout.html')

story9/templates/login.html
{% extends "base.html" %} {% load static %} {% load crispy_forms_tags %} {% block meta %}
<title>Sign In</title>
<style>
    body {
        background-color: #FDF7E4;
    }
    
    li {
        font-family: DM Mono !important;
    }
</style>
{% endblock meta %} {% block content %}
<div class="container" style="text-align: center; width: 100%;padding-top: 3%;padding-bottom: 3%;">
    <a style="color: #000000!important;">Log In</a>
</div>
<div class="container" style="width: 50%;margin-bottom: 10%; font-family: DM Mono;">
    <form method="POST" style="color: black !important;  font-family: DM Mono;">
        {% csrf_token %}
        <fieldset class="form-group">

            {{ form|crispy }}
        </fieldset>
        <div class="form-group" style="text-align: right;">
            <button class="btn btn-outline-info" type="submit">Log In</button>
        </div>
    </form>
    <div class="border-top pt-3" style="text-align: center;">
        <small class="text-muted">
            Need an Account? <a class="ml-2" style="font-family: DM Mono; font-size: small;" href="{% url 'story9:register' %}">Sign Up</a>
        </small>
    </div>
</div>

{% endblock content %}

story9/templates/logout.html
{% extends "base.html" %} {% load static %} {% load crispy_forms_tags %} {% block meta %}
<title>Logged Out</title>
<style>
    body {
        background-color: #FDF7E4;
    }
</style>
{% endblock meta %} {% block content %}
<div class="container" style="left: 50%; width: 50%; text-align: center; margin-top: 5%;">
    <a class="retched" style="text-decoration: none;">You have been logged out</a>
    <div class="container">
        <small class="text-muted">
        <a class="rec" href="{% url 'story9:login' %}">Log In Again</a>
    </small>
    </div>
</div>


{% endblock content %}

story9/templates/register.html
{% extends "base.html" %} {% load static %} {% load crispy_forms_tags %} {% block meta %}
<title>Sign Up</title>
<style>
    body {
        background-color: #FDF7E4;
    }
    
    li {
        font-family: DM Mono !important;
        font-size: smaller;
    }
</style>
{% endblock meta %} {% block content %}
<div class="container" style="text-align: center; width: 100%;padding-top: 3%;padding-bottom: 3%;">
    <a style="color: #000000!important;">Sign Up</a>
</div>
<div class="container" style="width: 50%;margin-bottom: 10%; font-family: DM Mono;">
    <form method="POST" style="color: black !important;">
        {% csrf_token %}
        <fieldset class="form-group ">
            {{ form|crispy }}
        </fieldset>
        <div class="form-group" style="text-align: right;">
            <button class="btn btn-outline-info " type="submit ">Sign Up</button>
        </div>
    </form>
    <div class="border-top pt-3" style="text-align: center;">
        <small class="text-muted ">
            Already have an Account? <a class="ml-2 " style="font: 400 13.3333px Arial; " href="{% url 'story9:login' %} ">Log in</a>
        </small>
    </div>
</div>

{% endblock content %}